File PKGBUILD of Package textosaurus-git

# Maintainer: Fabio 'Lolix' Loli <lolix@disroot.org> -> https://github.com/FabioLolix

pkgname=textosaurus-git
epoch=1
pkgver=0.9.3.1.r5.g7259e88
pkgrel=1
pkgdesc="Simple cross-platform text editor based on Qt and Scintilla"
arch=('x86_64')
url="https://github.com/martinrotter/textosaurus"
license=(GPL3)
depends=('qt5-svg')
makedepends=('git' 'qt5-tools')
provides=('textosaurus')
conflicts=('textosaurus' 'textosaurus-git')
source=("${pkgname}-${pkgver}.tar.xz")
md5sums=('SKIP')

build() { 
  cd "${pkgname}-${pkgver}"
  qmake-qt5 build.pro -r CONFIG+=release PREFIX=/usr 
  make -j8
} 
 
package() { 
  cd "${pkgname}-${pkgver}"
  make install INSTALL_ROOT=${pkgdir}/ 
}